#include "ajouterarticle.h"
#include "ui_ajouterarticle.h"
#include<QString>
#include"ajouterarticle.h"
#include"articler.h"
#include<QSystemTrayIcon>
#include"smtp.h"
ajouterarticle::ajouterarticle(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ajouterarticle)
{
    ui->setupUi(this);
}

ajouterarticle::~ajouterarticle()
{
    delete ui;
}

void ajouterarticle::on_pushButton_clicked()
{
    int codeabarre = ui->lineEdit_2->text().toInt();
    QString nom= ui->lineEdit->text();
    int prix = ui->lineEdit_3->text().toInt();
    articler e(prix,nom,codeabarre);
  bool test=e.ajouter();
  if(test)
{
      Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
      s->sendMail("hajmoussa2368@gmail.com","kais.kasmi@esprit.tn","un article a été ajouter avec succés","Mr Kais");
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Succés","un article a été ajouter avec succés",QSystemTrayIcon::Warning,10000);
      hide();
}
  else
  {
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Erreur","L'article n'a pas pu etre ajouté",QSystemTrayIcon::Warning,10000);

}
}
